# Java examples - Patryk Czarnik

Przykłady dot. języka Java i technologii Java.

## © Prawa autorskie

Autorem i właścicielem przykładów jest Patryk Czarnik.

Przykłady są przeznaczone dla moich kursantów i uczestników szkoleń (także za pośrednictwem firm, w których pracuję).
Zgadzam się na użycie przykładów na potrzeby własnej nauki w czasie kursu/szkolenia i po nim, w tym także kopiowanie na własne komputery i nośniki.

Nie zgadzam się na przekazywanie przykładów innym osobom, umieszczanie ich w publicznych repozytoriach, przywłaszczanie sobie ich autorstwa, ani bezpośrednie wykorzystywanie do prowadzenia własnych zajęć/szkoleń/kursów.

## Zasady
- Repozytorium nie jest pojedynczym projektem, lecz zawiera **wiele projektów**.
    - W Eclipse można wszystkie na raz zaimportować do jednego workspace.
    - Dla IntelliJ i innych edytorów zalecam sklonowanie repozytorium narzędziem do gita, a dopiero później otwieranie każdego podkatalogu jako oddzielnego projektu.
- Projekt `P01-JavaSE` jest największy i obejmuje kurs języka Java wraz z elementami Java SE (kolekcje itp.).
- Pozostałe projekty dotyczą dodatkowych technologii, w tym Java EE i Spring.
- Większość projektów jest opartych o Maven, co zapewnia kompatybilność i umożliwia ich otwarcie w dowolnym edytorze dla Javy.
- Wymagana minimalna wersja Javy: **17**.
- Formatowanie: kodowanie UTF-8, koniec linii UNIX, wcięcia 4 spacje.
